## org.apache.xerces.parsers
Class AbstractSAXParser.LocatorProxy

    java.lang.Object
      org.apache.xerces.parsers.AbstractSAXParser.LocatorProxy

All Implemented Interfaces:
  org.xml.sax.Locator

Enclosing class:
  AbstractSAXParser

protected class AbstractSAXParser.LocatorProxy
extends java.lang.Object
implements org.xml.sax.Locator

Field Summary
`protected org.apache.xerces.xni.XMLLocator` `fLocator` XML locator.

Constructor Summary
`AbstractSAXParser.LocatorProxy(org.apache.xerces.xni.XMLLocator locator)` Constructs an XML locator proxy.

Method Summary
`int` `getColumnNumber()` Column number.
`java.lang.String` `getEncoding()`
`int` `getLineNumber()` Line number.
`java.lang.String` `getPublicId()` Public identifier.
`java.lang.String` `getSystemId()` System identifier.
`java.lang.String` `getXMLVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fLocator

    protected org.apache.xerces.xni.XMLLocator fLocator

  XML locator.

Constructor Detail

### AbstractSAXParser.LocatorProxy

    public AbstractSAXParser.LocatorProxy(org.apache.xerces.xni.XMLLocator locator)

  Constructs an XML locator proxy.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Public identifier.

  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`

### getSystemId

    public java.lang.String getSystemId()

  System identifier.

  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`

### getLineNumber

    public int getLineNumber()

  Line number.

  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`

### getColumnNumber

    public int getColumnNumber()

  Column number.

  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`

### getXMLVersion

    public java.lang.String getXMLVersion()

### getEncoding

    public java.lang.String getEncoding()

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.